package cn.com.countrygarden.bi.main.service;


import cn.com.countrygarden.bi.main.core.Result;
import cn.com.countrygarden.bi.main.model.AccessToken;
import cn.com.countrygarden.bi.main.model.sys.Menu;

import java.util.List;

public interface MenuService {
    List<Menu> findByUserCode(String userCode);

    Result queryMenuTreeData(String roleCode);

    Result editRolesMenus(String roleIds, String menuIds, String userCode);

    Result queryById(Integer id);

    Result add(Menu menu, AccessToken accessToken);

    Result edit(Menu menu, AccessToken accessToken);

    Result del(Integer id);

    Result queryDataById(Integer id);

	Result queryMenuTreeDataByRole(String roleCode, String userCode);
}
